petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatCreateSeqCUFFT

Creates a matrix object that provides sequential FFT via the external package CUFFT

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateSeqCUFFT(MPI_Comm comm, PetscInt ndim, const PetscInt dim[], Mat *A)

Collective

### Input Parameters

| comm | - MPI communicator, set to PETSC_COMM_SELF
| ndim | - the ndim-dimensional transform
| dim | - array of size ndim, dim[i] contains the vector length in the i-dimension

### Output Parameter

A -the matrix

### Options Database Keys

-mat_cufft_plannerflags -set CUFFT planner flags

### Level

intermediate

### Location

src/mat/impls/cufft/cufft.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages